Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorIvan Furnadjiev2017-02-06 07:45:58 +0000
committerIvan Furnadjiev2017-02-06 07:45:58 +0000
commitc402202557e3fa12dcee810c751658eaa53bc7fe (patch)
tree6d9f11c505489899ca65089ef79883ee9eb4e481
parent89807558b798b973737da87ae1ecc3e5a7865d5c (diff)
downloadorg.eclipse.rap-c402202557e3fa12dcee810c751658eaa53bc7fe.tar.gz
org.eclipse.rap-c402202557e3fa12dcee810c751658eaa53bc7fe.tar.xz
org.eclipse.rap-c402202557e3fa12dcee810c751658eaa53bc7fe.zip
Use Java 8 for "org.eclipse.rap.jface"
In Oxygen platform, bundle "org.eclipse.equinox.common" requires Java 8. To avoid compilation error we have to rise the execution environment of org.eclipse.rap.jface to Java 8 too. 511612: Use Java 8 for org.eclipse.rap.jface https://bugs.eclipse.org/bugs/show_bug.cgi?id=511612 Change-Id: I54bc5e2ae0beff6c97bbd3fd49743815a8564ff5
-rwxr-xr-xbundles/org.eclipse.rap.jface/.classpath2
-rwxr-xr-xbundles/org.eclipse.rap.jface/.settings/org.eclipse.jdt.core.prefs6
-rw-r--r--bundles/org.eclipse.rap.jface/META-INF/MANIFEST.MF2
3 files changed, 5 insertions, 5 deletions
diff --git a/bundles/org.eclipse.rap.jface/.classpath b/bundles/org.eclipse.rap.jface/.classpath
index 098194ca4b..eca7bdba8f 100755
--- a/bundles/org.eclipse.rap.jface/.classpath
+++ b/bundles/org.eclipse.rap.jface/.classpath
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
<classpathentry kind="src" path="src"/>
<classpathentry kind="output" path="bin"/>
diff --git a/bundles/org.eclipse.rap.jface/.settings/org.eclipse.jdt.core.prefs b/bundles/org.eclipse.rap.jface/.settings/org.eclipse.jdt.core.prefs
index 31a4bd407d..2ac2f147a9 100755
--- a/bundles/org.eclipse.rap.jface/.settings/org.eclipse.jdt.core.prefs
+++ b/bundles/org.eclipse.rap.jface/.settings/org.eclipse.jdt.core.prefs
@@ -10,9 +10,9 @@ org.eclipse.jdt.core.classpath.exclusionPatterns=enabled
org.eclipse.jdt.core.classpath.multipleOutputLocations=enabled
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
org.eclipse.jdt.core.compiler.codegen.methodParameters=do not generate
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
-org.eclipse.jdt.core.compiler.compliance=1.7
+org.eclipse.jdt.core.compiler.compliance=1.8
org.eclipse.jdt.core.compiler.debug.lineNumber=generate
org.eclipse.jdt.core.compiler.debug.localVariable=generate
org.eclipse.jdt.core.compiler.debug.sourceFile=generate
@@ -102,6 +102,6 @@ org.eclipse.jdt.core.compiler.problem.unusedParameterWhenOverridingConcrete=disa
org.eclipse.jdt.core.compiler.problem.unusedPrivateMember=warning
org.eclipse.jdt.core.compiler.problem.unusedWarningToken=warning
org.eclipse.jdt.core.compiler.problem.varargsArgumentNeedCast=warning
-org.eclipse.jdt.core.compiler.source=1.7
+org.eclipse.jdt.core.compiler.source=1.8
org.eclipse.jdt.core.incompatibleJDKLevel=ignore
org.eclipse.jdt.core.incompleteClasspath=error
diff --git a/bundles/org.eclipse.rap.jface/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.jface/META-INF/MANIFEST.MF
index 5f0cc16d04..2bcc3c46db 100644
--- a/bundles/org.eclipse.rap.jface/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.jface/META-INF/MANIFEST.MF
@@ -37,7 +37,7 @@ Export-Package: org.eclipse.jface,
Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.2.0,4.0.0)";visibility:=reexport,
org.eclipse.core.commands;bundle-version="[3.4.0,4.0.0)";visibility:=reexport,
org.eclipse.equinox.common;bundle-version="[3.2.0,4.0.0)"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: javax.xml.parsers,
org.osgi.framework,
org.w3c.dom,

Back to the top